GET api/PhysicalTherapy/GetGoals?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfGoalsDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of GoalsDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CaseNo": 2,
      "ClinicalPathwayId": 3,
      "Goal": "sample string 4",
      "Status": 1,
      "StatusName": "sample string 5",
      "isEdit": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:26.4026106-07:00",
      "DateUpdated": "2026-08-04T14:27:26.4026106-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11
    },
    {
      "Id": 1,
      "CaseNo": 2,
      "ClinicalPathwayId": 3,
      "Goal": "sample string 4",
      "Status": 1,
      "StatusName": "sample string 5",
      "isEdit": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:27:26.4026106-07:00",
      "DateUpdated": "2026-08-04T14:27:26.4026106-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11
    }
  ],
  "totalCount": 3
}